%define anolis_release 1
Summary: Library implementing the Unicode Bidirectional Algorithm
Name: fribidi
Version: 1.0.11
Release: %{anolis_release}%{dist}
URL: https://github.com/fribidi/fribidi/
Source: https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
License: LGPLv2+ and UCD
BuildRequires: gcc
BuildRequires: meson
BuildRequires: make
Patch1: fribidi-CVE-2022-25308.patch
Patch2: fribidi-CVE-2022-25309.patch
Patch3: fribidi-CVE-2022-25310.patch

%description
A library to handle bidirectional scripts (for example Hebrew, Arabic),
so that the display is done in the proper way; while the text data itself
is always written in logical order.

%package devel
Summary: Libraries and include files for FriBidi
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Include files and libraries needed for developing applications which use
FriBidi.

%prep
%autosetup -p1

%build
%meson -Ddocs=false
%meson_build

%check
%meson_test

%install
%meson_install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%ldconfig_scriptlets

%files
%doc README AUTHORS THANKS NEWS TODO
%license COPYING
%{_bindir}/fribidi
%{_libdir}/libfribidi.so.0*

%files devel
%{_includedir}/fribidi
%{_libdir}/libfribidi.so
%{_libdir}/pkgconfig/*.pc
#%%{_mandir}/man3/*.gz

%changelog 
* Wed Apr 13 2022 Zhongling He <zhonglingh@linux.alibaba.com> 1.0.11-1
- Init package from upstream v1.0.11
